
%global enable_checks 0

# Generated from deep_merge-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name deep_merge

Name:           ruby-%{gem_name}
Version:        1.2.2
Release:        %mkrel 2
Summary:        Merge Deeply Nested Hashes
Group:          Development/Ruby
License:        MIT
URL:            https://github.com/danielsdeleo/deep_merge
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildArch:      noarch
BuildRequires:  ruby-devel
BuildRequires:  ruby
%if 0%{?enable_checks}
BuildRequires:  rubygem(minitest) >= 5
BuildRequires:  rubygem(test-unit)
%endif

Requires:       ruby(rubygems)

%description
Recursively merge hashes.

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%check
%if 0%{?enable_checks}
ruby -Ilib test/test_deep_merge.rb
%endif

%files
%dir %{gem_instdir}

%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/CHANGELOG
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/Rakefile
%{gem_spec}
%doc %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.2-2.mga10
+ Revision: 2214573
- Mageia 10 Mass Rebuild

* Tue May 03 2022 pterjan <pterjan> 1.2.2-1.mga9
+ Revision: 1855719
- Update to 1.2.2

* Fri Mar 25 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1826974
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1669956
- initial package ruby-deep_merge

